Package ghidra.app.plugin.processors.sleigh.symbol

# Class VarnodeListSymbol

java.lang.Object
ghidra.app.plugin.processors.sleigh.symbol.Symbol
ghidra.app.plugin.processors.sleigh.symbol.TripleSymbol
ghidra.app.plugin.processors.sleigh.symbol.FamilySymbol
ghidra.app.plugin.processors.sleigh.symbol.ValueSymbol
ghidra.app.plugin.processors.sleigh.symbol.VarnodeListSymbol

public class VarnodeListSymbol extends ValueSymbol
A ValueSymbol where the semantic context is obtained by looking up the value in a table of VarnodeSymbols

- ## Field Summary

  ### Fields inherited from class ghidra.app.plugin.processors.sleigh.symbol.ValueSymbol

  `patval`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VarnodeListSymbol()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `getFixedHandle(FixedHandle hand, ParserWalker walker)`
  `Collection<VarnodeSymbol>`
  `getVarnodeTable()`
  `String`
  `print(ParserWalker walker)`
  `Constructor`
  `resolve(ParserWalker walker, SleighDebugLogger debug)`
  `void`
  `restoreXml(XmlPullParser parser, SleighLanguage sleigh)`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.ValueSymbol

  `getPatternExpression, getPatternValue, printList`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.Symbol

  `getId, getName, getScopeId, restoreHeaderXml`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VarnodeListSymbol

    public VarnodeListSymbol()

- ## Method Details

  - ### getVarnodeTable

    public Collection<VarnodeSymbol> getVarnodeTable()

  - ### resolve

    public Constructor resolve(ParserWalker walker, SleighDebugLogger debug) throws MemoryAccessException, UnknownInstructionException
    Overrides:
      `resolve` in class `TripleSymbol`
    Throws:
      `MemoryAccessException`
      `UnknownInstructionException`

  - ### getFixedHandle

    public void getFixedHandle(FixedHandle hand, ParserWalker walker) throws MemoryAccessException
    Overrides:
      `getFixedHandle` in class `ValueSymbol`
    Throws:
      `MemoryAccessException`

  - ### print

    public String print(ParserWalker walker) throws MemoryAccessException
    Overrides:
      `print` in class `ValueSymbol`
    Throws:
      `MemoryAccessException`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, SleighLanguage sleigh)
    Overrides:
      `restoreXml` in class `ValueSymbol`